svn commit: r766235 - in /ofbiz/trunk/debian: ofbiz-framework.config ofbiz-framework.postinst ofbiz-framework.templates

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

svn commit: r766235 - in /ofbiz/trunk/debian: ofbiz-framework.config ofbiz-framework.postinst ofbiz-framework.templates

doogie-3
Author: doogie
Date: Sat Apr 18 06:15:52 2009
New Revision: 766235

URL: http://svn.apache.org/viewvc?rev=766235&view=rev
Log:
Prompt for the initial admin login account's name.

Modified:
    ofbiz/trunk/debian/ofbiz-framework.config
    ofbiz/trunk/debian/ofbiz-framework.postinst
    ofbiz/trunk/debian/ofbiz-framework.templates

Modified: ofbiz/trunk/debian/ofbiz-framework.config
URL: http://svn.apache.org/viewvc/ofbiz/trunk/debian/ofbiz-framework.config?rev=766235&r1=766234&r2=766235&view=diff
==============================================================================
--- ofbiz/trunk/debian/ofbiz-framework.config (original)
+++ ofbiz/trunk/debian/ofbiz-framework.config Sat Apr 18 06:15:52 2009
@@ -51,6 +51,7 @@
  db_fset ofbiz/admin-password-encrypted seen true
 fi
 #db_set ofbiz/admin-password ofbiz || true
+set_if ofbiz/admin-user "$ofbiz_admin_user" || true
 set_if ofbiz/admin-port "$ofbiz_admin_port" || true
 
 cmd="$1"
@@ -71,6 +72,9 @@
 seen_admin_password_prompt="false"
 db_fget ofbiz/admin-password seen && seen_admin_password_prompt="$RET"
 
+ofb_dc_admin_user() {
+ db_input low ofbiz/admin-user || true
+}
 ofb_dc_admin_password() {
  db_input medium ofbiz/admin-password || true
 }
@@ -119,6 +123,7 @@
 }
 declare -a ofb_dc_list
 ofb_dc_list=(
+ ofb_dc_admin_user
  ofb_dc_admin_password
  ofb_dc_admin_password_check
  ofb_dc_admin_password_confirm

Modified: ofbiz/trunk/debian/ofbiz-framework.postinst
URL: http://svn.apache.org/viewvc/ofbiz/trunk/debian/ofbiz-framework.postinst?rev=766235&r1=766234&r2=766235&view=diff
==============================================================================
--- ofbiz/trunk/debian/ofbiz-framework.postinst (original)
+++ ofbiz/trunk/debian/ofbiz-framework.postinst Sat Apr 18 06:15:52 2009
@@ -22,7 +22,6 @@
 JAVA_HOME=""
 JAVA_HOMES="/usr/lib/jvm/java-6-openjdk"
 OFBIZ_HOME="/usr/share/ofbiz"
-ofbiz_admin_user=admin
 for possible in $JAVA_HOMES; do
  if [ -e "$possible/bin/java" ]; then
  JAVA_HOME="$possible"
@@ -221,6 +220,11 @@
  ofbiz_init_invoke stop
  dpkg-trigger --no-await ofbiz-install
  if [ -z "$2" ]; then
+ db_input medium ofbiz/admin-user || true
+ get ofbiz_admin_user ofbiz/admin-user
+ if [ "z" = "z$ofbiz_admin_user" ]; then
+ ofbiz_admin_user="admin"
+ fi
  mkdir -p "/var/lib/ofbiz/import/"
  out="/var/lib/ofbiz/import/ofbiz-framework.xml"
  sed "s/@userLoginId@/$ofbiz_admin_user/g" < "$OFBIZ_HOME/framework/resources/templates/AdminUserLoginData.xml" > "$out.new"

Modified: ofbiz/trunk/debian/ofbiz-framework.templates
URL: http://svn.apache.org/viewvc/ofbiz/trunk/debian/ofbiz-framework.templates?rev=766235&r1=766234&r2=766235&view=diff
==============================================================================
--- ofbiz/trunk/debian/ofbiz-framework.templates (original)
+++ ofbiz/trunk/debian/ofbiz-framework.templates Sat Apr 18 06:15:52 2009
@@ -1,3 +1,11 @@
+Template: ofbiz/admin-user
+Type: string
+_Description: Enter the username for ofbiz admin account:
+ If this is the first time installing ofbiz, you can leave this
+ blank, and the default of 'admin' will be choosen.  The initial
+ password will be 'ofbiz', and you will be prompted to change it
+ after you log in the first time.
+
 Template: ofbiz/admin-password
 Type: password
 _Description: Enter the password for ofbiz admin accounts: